@media screen and (width < 48rem) {
  .code-with-image {
    background-color: var(--Pale-Periwinkle);
    padding-top: 3.125rem;
  }
}
.code-with-image--container {
  display: flex;
  flex-direction: column-reverse;
  gap: 50px;
  align-items: center;
}
@media screen and (width >= 48rem) {
  .code-with-image--container {
    flex-direction: row;
    gap: 38px;
    justify-content: space-between;
    align-items: flex-start;
  }
}
@media screen and (width < 48rem) {
  .code-with-image > * {
    grid-column: full-width !important;
  }
}
.code-with-image--code {
  padding: clamp(3.125rem, -0.2083rem + 6.9444vw, 5rem) clamp(1.25rem, -5.4167rem + 13.8889vw, 5rem);
}
.no-image .code-with-image--code {
  margin-inline: auto;
}
@media screen and (width < 48rem) {
  .code-with-image--code {
    width: 100%;
  }
}
.code-with-image--header {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-bottom: 30px;
}
@media screen and (width >= 60rem) {
  .code-with-image--header {
    flex-direction: row;
    gap: 20px;
    align-items: flex-end;
    justify-content: space-between;
  }
}
.code-with-image--title {
  flex: 1;
  line-height: 1;
  margin: 0 !important;
}
.code-with-image--info {
  margin-bottom: 0 !important;
}
@media screen and (width >= 60rem) {
  .code-with-image--info {
    text-align: right;
  }
}
.code-with-image--image {
  position: relative;
}
@media screen and (width < 48rem) {
  .code-with-image--image {
    margin-inline: 20px;
  }
}
.code-with-image--image > * {
  position: relative;
  z-index: 1;
}
.code-with-image--image .swipe {
  position: absolute;
  bottom: -50px;
  right: 3px;
  z-index: 0;
  width: 88%;
  aspect-ratio: 470/104;
}
